<?php
/**
 * Created by PhpStorm.
 * User: cord
 * Date: 19/11/14
 * Time: 10:40
 */

$smarty_test_obj = new mh_Smarty;
$smarty_test_obj->compile_check = true;
$smarty_test_obj->compile_id = 'smarty_text';

$smarty_tmpl_holder = new stdClass();
$smarty_tmpl_holder->mh_subjectTemplate = '{$firstname} {$lastname}, We miss you';


for ($i = 1; $i <= 10; $i++) {
    $output = $smarty_test_obj->fetch('string:' . '{$firstname} {$lastname}, We miss you');
    echo "$i output: $output <br>";
}


for ($i = 1; $i <= 10; $i++) {
    $output = mh_smarty_fetch($smarty_test_obj, 'subjectTemplate', $smarty_tmpl_holder);

    echo "$i output: $output <br>";
}
